Subject: Re: 5.2-rc1 on droid4: spi crash

From: Tony Lindgren <[email-masked]>
Date: Mon, 27 May 2019 06:31:19 -0700

* Noralf Trønnes <[email-masked]> [190527 13:16]:
> 
> 
> Den 2019-05-27 07:53, skrev Tony Lindgren:
> > Hi,
> > 
> > * Sebastian Reichel <[email-masked]> [190523 09:33]:
> > > Hi,
> > > 
> > > On Thu, May 23, 2019 at 11:09:26AM +0200, Pavel Machek wrote:
> > > > This was greeting me overnight... I don't yet know how reproducible it
> > > > is, it happened once so far.
> > > 
> > > Please pipe the stacktrace into ./scripts/decode_stacktrace.sh
> > > to get a readable stacktrace, otherwise this is pretty much useless.
> > > FWIW the only SPI device in the Droid 4 is the PMIC.
> > 
> > I've seen this too, and looks like reverting commit c9ba7a16d0f1
> > ("spi: Release spi_res after finalizing message") fixes it based
> > several days of testing.
> > 
> > Noralf and Mark, any ideas what needs to be fixed here?
> 
> Mark has a revert in his for-5.2 branch:
> spi: Fix Raspberry Pi breakage
> https://git.kernel.org/pub/scm/linux/kernel/git/broonie/spi.git/commit/?h=for-5.2&id=0ed56252c9567351344cb7b5cff6140e1bcec943

Oh OK good to hear.

> I don't know when or if he has sent a pull request.
> Sorry about the breakage.

No worries, thanks for the update.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel